clang 8.0.0

Namespaces | Macros
CodeGenOptions.cpp File Reference
`#include "clang/Basic/CodeGenOptions.h"`
`#include <string.h>`
`#include "clang/Basic/CodeGenOptions.def"`
Include dependency graph for CodeGenOptions.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | CODEGENOPT(Name, Bits, Default) Name = Default;
#define | ENUM_CODEGENOPT(Name, Type, Bits, Default) set##Name(Default);

## Macro Definition Documentation

## ◆ CODEGENOPT

#define CODEGENOPT | ( |  | Name,
|  |  | Bits,
|  |  | Default
| ) |  | Name = Default;

## ◆ ENUM_CODEGENOPT

#define ENUM_CODEGENOPT | ( |  | Name,
|  |  | Type,
|  |  | Bits,
|  |  | Default
| ) |  | set##Name(Default);